## org.w3c.dom.svg
Interface SVGFEColorMatrixElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, SVGElement, SVGFilterPrimitiveStandardAttributes, SVGStylable

All Known Implementing Classes:
  SVGOMFEColorMatrixElement

public interface SVGFEColorMatrixElement
extends SVGElement, SVGFilterPrimitiveStandardAttributes

Field Summary
`static short` `SVG_FECOLORMATRIX_TYPE_HUEROTATE`
`static short` `SVG_FECOLORMATRIX_TYPE_LUMINANCETOALPHA`
`static short` `SVG_FECOLORMATRIX_TYPE_MATRIX`
`static short` `SVG_FECOLORMATRIX_TYPE_SATURATE`
`static short` `SVG_FECOLORMATRIX_TYPE_UNKNOWN`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`SVGAnimatedString` `getIn1()`
`SVGAnimatedEnumeration` `getType()`
`SVGAnimatedNumberList` `getValues()`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.svg.SVGFilterPrimitiveStandardAttributes
`getHeight, getResult, getWidth, getX, getY`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Field Detail

### SVG_FECOLORMATRIX_TYPE_UNKNOWN

    public static final short SVG_FECOLORMATRIX_TYPE_UNKNOWN

See Also:
  Constant Field Values

### SVG_FECOLORMATRIX_TYPE_MATRIX

    public static final short SVG_FECOLORMATRIX_TYPE_MATRIX

See Also:
  Constant Field Values

### SVG_FECOLORMATRIX_TYPE_SATURATE

    public static final short SVG_FECOLORMATRIX_TYPE_SATURATE

See Also:
  Constant Field Values

### SVG_FECOLORMATRIX_TYPE_HUEROTATE

    public static final short SVG_FECOLORMATRIX_TYPE_HUEROTATE

See Also:
  Constant Field Values

### SVG_FECOLORMATRIX_TYPE_LUMINANCETOALPHA

    public static final short SVG_FECOLORMATRIX_TYPE_LUMINANCETOALPHA

See Also:
  Constant Field Values

Method Detail

### getIn1

    public SVGAnimatedString getIn1()

### getType

    public SVGAnimatedEnumeration getType()

### getValues

    public SVGAnimatedNumberList getValues()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.